Přeskočit na hlavní obsah

Tento prohlížeč se už nepodporuje.

Upgradujte na Microsoft Edge, abyste mohli využívat nejnovější funkce, aktualizace zabezpečení a technickou podporu.

Stáhnout Microsoft Edge Další informace o Internet Exploreru a Microsoft Edgi
microsoft-foundry.rest.security.o-auth2-auth

Evals

Update an evaluation

POST /openai/v1/evals/{eval_id}

Updates the specified evaluation with the supplied properties.

Properties omitted from the request remain unchanged.

Parametry cesty

eval_id string vyžadováno

The identifier of the evaluation to update.

Text požadavku

Content-Type: application/json
name string
metadata OpenAI.Metadata | null

Set of 16 key-value pairs that can be attached to an object. This can be useful for storing additional information about the object in a structured format, and querying for objects via API or the dashboard. Keys are strings with a maximum length of 64 characters. Values are strings with a maximum length of 512 characters.

[key: string] string
properties object

Set of immutable 16 key-value pairs that can be attached to an object for storing additional information. Keys are strings with a maximum length of 64 characters. Values are strings with a maximum length of 512 characters.

[key: string] string

Odpovědi

The request has succeeded.

Text

Content-Type: application/json
object enum vyžadováno

The object type.

eval
id string vyžadováno

Unique identifier for the evaluation.

name string vyžadováno

The name of the evaluation.

data_source_config OpenAI.CreateEvalCustomDataSourceConfig | OpenAI.CreateEvalLogsDataSourceConfig | OpenAI.CreateEvalStoredCompletionsDataSourceConfig | AzureAIDataSourceConfig | AzureAIBenchmarkDataSourceConfig vyžadováno

Configuration of data sources used in runs of the evaluation.

Jeden z následujících:
type enum vyžadováno

The type of data source. Always custom.

custom
item_schema object vyžadováno

The json schema for each row in the data source.

include_sample_schema boolean

Whether the eval should expect you to populate the sample namespace (ie, by generating responses off of your data source)

type enum vyžadováno

The type of data source. Always logs.

logs
metadata object

Metadata filters for the logs data source.

type enum vyžadováno

The type of data source. Always stored_completions.

stored_completions
metadata object

Metadata filters for the stored completions data source.

Jeden z následujících:
benchmark_preview AzureAIBenchmarkDataSourceConfig

Data source configuration for benchmark evaluations.

scenario enum vyžadováno

Data schema scenario, always benchmark for benchmark evaluations.

benchmark_preview
benchmark_name string | enum vyžadováno

The set of available benchmark specifications.

Některá z následujících možností:
string
enum
builtin.gpqa_diamondbuiltin.bbehbuiltin.bigbenchhardbuiltin.frontiersciencebuiltin.ifevalbuiltin.musrbuiltin.truthful_qabuiltin.inspect_ai.aime2025builtin.inspect_ai.browse_compbuiltin.inspect_ai.chembenchbuiltin.inspect_ai.tau2_telecom
benchmark_version string

The version of the benchmark specification (e.g., '0.1'). Latest version if not specified.

grader_model string

Optional grader model for benchmarks that use model graders, Required when the benchmark's testing_criteria uses a model grader type.

scenario enum vyžadováno

Data schema scenario, always benchmark for benchmark evaluations.

benchmark_preview
benchmark_name string | enum vyžadováno

The set of available benchmark specifications.

Některá z následujících možností:
string
enum
builtin.gpqa_diamondbuiltin.bbehbuiltin.bigbenchhardbuiltin.frontiersciencebuiltin.ifevalbuiltin.musrbuiltin.truthful_qabuiltin.inspect_ai.aime2025builtin.inspect_ai.browse_compbuiltin.inspect_ai.chembenchbuiltin.inspect_ai.tau2_telecom
benchmark_version string

The version of the benchmark specification (e.g., '0.1'). Latest version if not specified.

grader_model string

Optional grader model for benchmarks that use model graders, Required when the benchmark's testing_criteria uses a model grader type.

testing_criteria (OpenAI.EvalGraderLabelModel | OpenAI.EvalGraderStringCheck | OpenAI.EvalGraderTextSimilarity | OpenAI.EvalGraderPython | OpenAI.EvalGraderScoreModel | TestingCriterionAzureAIEvaluator | EvalGraderInspectAI)[] vyžadováno

A list of testing criteria.

created_at integer vyžadováno

The Unix timestamp (in seconds) for when the eval was created.

metadata OpenAI.Metadata | null vyžadováno

Set of 16 key-value pairs that can be attached to an object. This can be useful for storing additional information about the object in a structured format, and querying for objects via API or the dashboard. Keys are strings with a maximum length of 64 characters. Values are strings with a maximum length of 512 characters.

[key: string] string
modified_at integer
created_by string

The name of the person who created the evaluation.

properties object

Set of immutable 16 key-value pairs that can be attached to an object for storing additional information. Keys are strings with a maximum length of 64 characters. Values are strings with a maximum length of 512 characters.

[key: string] string

Client error

Text

Content-Type: application/json
error OpenAI.Error vyžadováno
code string | null vyžadováno
message string vyžadováno
param string | null
type string
misalignment OpenAI.MisalignmentErrorDetailsResource
review_target string | null
error_type string | enum
Některá z následujících možností:
string
enum
potentially_unintended_data_transferpotentially_unintended_data_accesspotentially_unintended_destructive_activityother
detailed_explanation string

The public explanation for this block.

steer OpenAI._MisalignmentSteer
message string vyžadováno

The public continuation instruction.

details OpenAI.Error[]
additionalInfo object
debugInfo object

Server error

Text

Content-Type: application/json
error OpenAI.Error vyžadováno
code string | null vyžadováno
message string vyžadováno
param string | null
type string
misalignment OpenAI.MisalignmentErrorDetailsResource
review_target string | null
error_type string | enum
Některá z následujících možností:
string
enum
potentially_unintended_data_transferpotentially_unintended_data_accesspotentially_unintended_destructive_activityother
detailed_explanation string

The public explanation for this block.

steer OpenAI._MisalignmentSteer
message string vyžadováno

The public continuation instruction.

details OpenAI.Error[]
additionalInfo object
debugInfo object

Žádost

curl https://api.openai.com/v1/evals/eval_67abd54d9b0081909a86353f6fb9317a \
  -H "Authorization: Bearer $OPENAI_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"name": "Updated Eval", "metadata": {"description": "Updated description"}}'
import os
from openai import OpenAI

client = OpenAI(
    api_key=os.environ.get("OPENAI_API_KEY"),  # This is the default and can be omitted
)
eval = client.evals.update(
    eval_id="eval_id",
)
print(eval.id)
import OpenAI from "openai";

const openai = new OpenAI();

const updatedEval = await openai.evals.update(
  "eval_67abd54d9b0081909a86353f6fb9317a",
  {
    name: "Updated Eval",
    metadata: { description: "Updated description" }
  }
);
console.log(updatedEval);
import OpenAI from 'openai';

const client = new OpenAI({
  apiKey: process.env['OPENAI_API_KEY'], // This is the default and can be omitted
});

const _eval = await client.evals.update('eval_id');

console.log(_eval.id);
package com.openai.example;

import com.openai.client.OpenAIClient;
import com.openai.client.okhttp.OpenAIOkHttpClient;
import com.openai.models.evals.EvalUpdateParams;
import com.openai.models.evals.EvalUpdateResponse;

public final class Main {
    private Main() {}

    public static void main(String[] args) {
        OpenAIClient client = OpenAIOkHttpClient.fromEnv();

        EvalUpdateResponse eval = client.evals().update("eval_id");
    }
}
require "openai"

openai = OpenAI::Client.new(api_key: "My API Key")

eval_ = openai.evals.update("eval_id")

puts(eval_)

Response

{
  "object": "eval",
  "id": "eval_67abd54d9b0081909a86353f6fb9317a",
  "data_source_config": {
    "type": "custom",
    "schema": {
      "type": "object",
      "properties": {
        "item": {
          "type": "object",
          "properties": {
            "input": {
              "type": "string"
            },
            "ground_truth": {
              "type": "string"
            }
          },
          "required": [
            "input",
            "ground_truth"
          ]
        }
      },
      "required": [
        "item"
      ]
    }
  },
  "testing_criteria": [
    {
      "name": "String check",
      "id": "String check-2eaf2d8d-d649-4335-8148-9535a7ca73c2",
      "type": "string_check",
      "input": "{{item.input}}",
      "reference": "{{item.ground_truth}}",
      "operation": "eq"
    }
  ],
  "name": "Updated Eval",
  "created_at": 1739314509,
  "metadata": {"description": "Updated description"},
}
cs-cz
Vaše volby ochrany osobních údajů
  • Právní omezení AI
  • Předchozí verze
  • Blog
  • Přispět
  • Ochrana osobních údajů
  • Ochrana osobních zdravotních údajů spotřebitelů
  • Podmínky použití
  • Ochranné známky
  • © Microsoft 2026